osl::eval::ppair::PiecePairEvalBase Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
osl::eval::ppair::PiecePairEvalBase Class Reference

PiecePairEval の，template parameterに依存しない部分の 共通の実装. More...

`#include <piecePairEval.h>`

Inheritance diagram for osl::eval::ppair::PiecePairEvalBase:
[legend]

## Public Member Functions
int | value () const
int | rawValue () const

## Static Public Member Functions
static int | roundUp (int v)
static int | infty ()
static int | captureValue (PtypeO ptypeo)

## Static Public Attributes
static const int | ROUND_UP = 2
| roundup は 2^n であること More...

## Protected Member Functions
| PiecePairEvalBase ()
| ~PiecePairEvalBase ()

## Protected Attributes
int | val

## Detailed Description

PiecePairEval の，template parameterに依存しない部分の 共通の実装.

Definition at line 29 of file piecePairEval.h.

## Constructor & Destructor Documentation

osl::eval::ppair::PiecePairEvalBase::PiecePairEvalBase | ( | ) |  |
| inlineprotected

Definition at line 33 of file piecePairEval.h.

osl::eval::ppair::PiecePairEvalBase::~PiecePairEvalBase | ( | ) |  |
| inlineprotected

Definition at line 36 of file piecePairEval.h.

## Member Function Documentation

static int osl::eval::ppair::PiecePairEvalBase::captureValue | ( | PtypeO | ptypeo) |  |
| inlinestatic

Definition at line 55 of file piecePairEval.h.

References osl::eval::PieceEval::captureValue().

static int osl::eval::ppair::PiecePairEvalBase::infty | ( | ) |  |
| inlinestatic

Definition at line 48 of file piecePairEval.h.

int osl::eval::ppair::PiecePairEvalBase::rawValue | ( | ) |  | const
| inline

Definition at line 47 of file piecePairEval.h.

References val.

static int osl::eval::ppair::PiecePairEvalBase::roundUp | ( | int | v) |  |
| inlinestatic

Definition at line 42 of file piecePairEval.h.

References ROUND_UP.

Referenced by value().

int osl::eval::ppair::PiecePairEvalBase::value | ( | ) |  | const
| inline

Definition at line 46 of file piecePairEval.h.

References roundUp(), and val.

## Member Data Documentation

const int osl::eval::ppair::PiecePairEvalBase::ROUND_UP = 2
| static

roundup は 2^n であること

Definition at line 41 of file piecePairEval.h.

Referenced by roundUp().

int osl::eval::ppair::PiecePairEvalBase::val
| protected

Definition at line 32 of file piecePairEval.h.

Referenced by osl::eval::ppair::PiecePairWithStand< Table >::PiecePairWithStand(), rawValue(), osl::eval::ppair::PiecePairEval< PiecePairWithStand< Table >, Table >::update(), and value().

The documentation for this class was generated from the following file:

- piecePairEval.h